﻿:root
{
	--main-tint:			#ccc;
	--std-button-hover-bg:	#444;
	--std-button-hover-fg:	white;
	--current-menu-color:	#666;
	--alternate-bg-color:	#e4ebe7;
	--highlight-color:		#757679;
	--popup-title-bg-color:	#444;
	--popup-title-fg-color:	white;
}

*
{
	box-sizing:				border-box;
}

@font-face
{
	font-family: 'Work Sans';
	font-style: normal;
	font-weight: 300;
	src: local( '' ),
		 url( '../Fonts/work-sans-v8-latin-ext_latin-300.woff2' ) format( 'woff2' ), /* Chrome 26+, Opera 23+, Firefox 39+ */
		 url( '../Fonts/work-sans-v8-latin-ext_latin-300.woff' ) format( 'woff' ); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

@font-face
{
	font-family: 'Work Sans';
	font-style: normal;
	font-weight: 400;
	src: local( '' ),
		 url( '../Fonts/work-sans-v8-latin-ext_latin-regular.woff2' ) format( 'woff2' ), /* Chrome 26+, Opera 23+, Firefox 39+ */
		 url( '../Fonts/work-sans-v8-latin-ext_latin-regular.woff' ) format( 'woff' ); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

@font-face
{
	font-family: 'Work Sans';
	font-style: normal;
	font-weight: 600;
	src: local( '' ),
		 url( '../Fonts/work-sans-v8-latin-ext_latin-600.woff2' ) format( 'woff2' ), /* Chrome 26+, Opera 23+, Firefox 39+ */
		 url( '../Fonts/work-sans-v8-latin-ext_latin-600.woff' ) format( 'woff' ); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

@font-face
{
	font-family: 'Work Sans';
	font-style: normal;
	font-weight: 700;
	src: local( '' ),
		 url( '../Fonts/work-sans-v8-latin-ext_latin-700.woff2' ) format( 'woff2' ), /* Chrome 26+, Opera 23+, Firefox 39+ */
		 url( '../Fonts/work-sans-v8-latin-ext_latin-700.woff' ) format( 'woff' ); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

@font-face
{
	font-family: 'Work Sans';
	font-style: italic;
	font-weight: 300;
	src: local( '' ),
		 url( '../Fonts/work-sans-v8-latin-ext_latin-300italic.woff2' ) format( 'woff2' ), /* Chrome 26+, Opera 23+, Firefox 39+ */
		 url( '../Fonts/work-sans-v8-latin-ext_latin-300italic.woff' ) format( 'woff' ); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

@font-face
{
	font-family: 'Work Sans';
	font-style: italic;
	font-weight: 400;
	src: local( '' ),
		 url( '../Fonts/work-sans-v8-latin-ext_latin-italic.woff2' ) format( 'woff2' ), /* Chrome 26+, Opera 23+, Firefox 39+ */
		 url( '../Fonts/work-sans-v8-latin-ext_latin-italic.woff' ) format( 'woff' ); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

@font-face
{
	font-family: 'Work Sans';
	font-style: italic;
	font-weight: 600;
	src: local( '' ),
		 url( '../Fonts/work-sans-v8-latin-ext_latin-600italic.woff2' ) format( 'woff2' ), /* Chrome 26+, Opera 23+, Firefox 39+ */
		 url( '../Fonts/work-sans-v8-latin-ext_latin-600italic.woff' ) format( 'woff' ); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

@font-face
{
	font-family: 'Work Sans';
	font-style: italic;
	font-weight: 700;
	src: local( '' ),
		 url( '../Fonts/work-sans-v8-latin-ext_latin-700italic.woff2' ) format( 'woff2' ), /* Chrome 26+, Opera 23+, Firefox 39+ */
		 url( '../Fonts/work-sans-v8-latin-ext_latin-700italic.woff' ) format( 'woff' ); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

body,
html,
::placeholder
{
    font-family:			'Work Sans', 'Tahoma', sans-serif;
}

body,
html
{
    height:                 100%;
    font-size:              14px;
    line-height:            1.2;
}

html
{
	background-color:		transparent;
}

body,
.popupBodyBackground,
.bottomSticky
{
	background-color:		white;
}

a
{
	text-decoration:		none;
}

body
{
	display:				flex;
	flex-direction:			column;
}

main,
#intestazione,
#footer
{
	padding:				0 85px;
}

.copriMargine
{
	width:					calc( 100% + 85px + 85px );
	position:				relative;
	left:					-85px;
	background-color:		var( --alternate-bg-color );
	padding:				20px 0;
}

.copriMargine > .filtro,
.copriMargine > .box
{
	margin:					0 85px;
}

.copriMargine.azione
{
	padding-left:			85px;
	padding-right:			85px;
}

main
{
	flex:					1 1 100%;
	padding-top:			42px;
	padding-bottom:			42px;
	border-top:				1px solid var( --alternate-bg-color );
}

#intestazione,
#intestazione a
{
	color:					white;
}

#intestazione
{
	display:				grid;
	grid-gap:				1px 10px;
	grid-template-columns:	repeat( 3, max-content ) 1fr max-content;
	grid-template-areas:	"logo prod apps ambiente topMenu";
	align-items:			center;
    background-color:       var( --main-tint );
}

@media ( max-width: 640px )
{
	main,
	#intestazione,
	#footer
	{
		padding-left:		1ex;
		padding-right:		1ex;
	}

	#intestazione
	{
		grid-template-columns:	repeat( 2, max-content ) 1fr max-content;
		grid-template-areas:	"logo prod apps topMenu"
								"ambiente ambiente ambiente ambiente";
	}

	.copriMargine
	{
		width:				calc( 100% + 1ex + 1ex );
		left:				-1ex;
	}

	.copriMargine > .filtro,
	.copriMargine > .box
	{
		margin-left:		1ex;
		margin-right:		1ex;
	}

	.copriMargine.azione
	{
		padding-left:		1ex;
		padding-right:		1ex;
	}
}

#logo
{
	grid-area:				logo;
	margin:					7px 0 2px;
}

#logo img
{
	height:					30px;
	filter:					brightness( 0 );
}

#intestazione .prodName
{
	grid-area:				prod;
}

.prodName
{
	font-family:			'Tahoma', sans-serif;
	font-weight:			bold;
	text-transform:			uppercase;
}

#selezionaApp
{
	grid-area:				apps;
	margin:					2px 13px 0;
	font-size:				10px;
	text-decoration:		underline;
}

#ambiente
{
	grid-area:				ambiente;
}

.prodName,
#ambiente
{
	font-size:				16px;
	font-weight:			bold;
}

#topMenu
{
	grid-area:				topMenu;
    display:				flex;
}

#topMenu a
{
	display:				flex;
	align-items:			center;
	margin:					6px 18px 0;
	font-size:              12px;
	font-weight:			600;
}

#topMenu .fa-user-circle
{
	height:					20px;
	width:					20px;
	margin-right:			1ex;
}

@media ( max-width: 400px )
{
	#topUserName
	{
		display:			none;
	}
}

#menuNavigazione
{
	flex:					0 0 auto;
	display:				flex;
	flex-wrap:				wrap;
	align-items:			flex-end;
	margin:					0 auto;
}

#menuNavigazione a,
#menuNavigazione > span,
#menuNavigazione > span > div:first-child
{
	display:				flex;
	align-items:			center;
}

#menuNavigazione > *,
#menuNavigazione .submenu a
{
	height:					30px;
    margin:					11px 0;
	padding:				0 25px;
}

#menuNavigazione a,
#menuNavigazione span > div:first-child
{
    color:                  #031825;
	text-decoration:		none;
    font-size:              16px;
	font-weight:			600;
}

#menuNavigazione a:hover,
#menuNavigazione span > div:hover
{
	color:					#9c9b9b;
}

#menuNavigazione > * + *
{
	border-left:			1px solid #d9dcda;
}

#menuNavigazione a.currentMenu,
#menuNavigazione .currentMenu > div:first-child
{
    color:                  var( --current-menu-color );
	position:				relative;
}

#menuNavigazione > a.currentMenu::after,
#menuNavigazione span.currentMenu::after
{
	display:				block;
	content:				'';
	width:					100%;
	height:					4px;
	position:				absolute;
	left:					0;
	bottom:					-11px;
    background-color:		var( --current-menu-color );
}

#menuNavigazione span
{
    position:				relative;
}

#menuNavigazione span > div:first-child
{
	cursor:					default;
	user-select:			none;
}

#menuNavigazione span > *:first-child::after
{
	content:				'▼';
	margin-left:			1.5ex;
	font-size:				10px;
	position:				relative;
	top:					2px;
}

#menuNavigazione .submenu
{
	display:				flex;
	flex-direction:			column;
	width:					max-content;
	min-width:				100%;
	position:				absolute;
	top:					90%;
	left:					50%;
	transform:				translateX( -50% );
	z-index:				200;
	background-color:		var( --alternate-bg-color );
	border:					1px solid #c7cac8;
	border-top:				none;
	padding:				4px 0;
}

#menuNavigazione .submenu a
{
	font-size:				14px;
	margin:					4px 1ex;
	background-color:		white;
}

#adminMenu
{
	width:					150px;
}

@supports( width: max-content )
{
	#adminMenu
	{
		width:				max-content;
	}
}

#footer
{
	display:				flex;
	column-gap:				30px;
	align-content:			center;
	align-items:			center;
    flex:					1 0 auto;
	flex-wrap:				wrap;
    font-size:				11px;
	background-color:		#031825;
}

#footer,
#footer a
{
	color:					white;
}

#footer > *
{
	margin-top:				8px;
	margin-bottom:			8px;
}

#footer .prodName
{
	flex:					1 0 auto;
	font-weight:			bold;
}

#footer .prodName span
{
	font-size:				.6em;
	text-transform:			initial;
}

#footerDestra
{
	display:				grid;
	grid-auto-flow:			column;
	grid-column-gap:		32px;
}

#footerDestra a
{
	text-decoration:		underline;
}

button,
a.button
{
	border:					2px solid black;
	border-radius: 			4px;
	padding:				.5em 2ex;
	margin:					2px 0 2px;
	font-style:				normal;
	font-size:				15px;
	color:					black;
	background-color:		white;
	display:				inline-block;
	text-decoration:		none;
	text-transform:			lowercase;
	text-align:				center;
	cursor:					pointer;
	white-space:			nowrap;
}

button.pieno,
button[type="submit"],
button:hover,
a.button:hover
{
	color:					white;
	background-color:		black;
}

button.pieno:hover,
button[type="submit"]:hover
{
	color:					var( --std-button-hover-fg );
	background-color:		var( --std-button-hover-bg );
}

.selezionePermessi button
{
	color:					black;
	background-color:		transparent;
}

.selezionePermessi button:hover
{
	color:					var( --std-button-hover-bg );
}

button.evidenziato
{
	border-color:			#a52a2a;
	color:					#a52a2a;
}

button[type="submit"].evidenziato
{
	border-color:			#a52a2a;
	background-color:		red;
	color:					white;
}

button.evidenziato:hover
{
	background-color:		#c54a4a;
}

button:disabled,
button:disabled:hover,
.bottomSticky .azione button:disabled,
.bottomSticky .azione button:disabled:hover
{
	color:					#444;
	border-color:			#bbb;
	background-color:		#dddedf;
	cursor:					default;
}

button .fa-spin,
button.workInProgress .fa-spinner
{
	margin-right:			1ex;
}

button.imgButton
{
	border:					none;
	border-radius:			initial;
	padding:				0;
	margin:					0;
	line-height:			initial;
	font-size:				inherit;
	background-color:		transparent;
	color:					black;
}

input[ type="text" ],
input[ type="password" ],
input[ type="email" ],
input[ type="number" ],
input[ type="url" ],
textarea,
select[multiple]
{
	border:					1px solid #cbcbcb;
	border-radius:			4px;
}

input[ type="text" ],
input[ type="password" ],
input[ type="email" ],
input[ type="number" ],
input[ type="url" ],
textarea,
select
{
	padding:				6px;
}

input[type="checkbox"].workInProgress
{
	display:				none;
}

.filtro input:focus,
.filtro select:focus,
.filtro textarea:focus,
.filtro button:focus
{
	outline:				2px solid red;
}

::placeholder
{
	color:					#888;
}

.field-validation-error
{
    color:					#f00;
}

.field-validation-valid
{
    display:				none;
}

.input-validation-error
{
    border:					1px solid #f00;
    background-color:		#fee;
}

.validation-summary-errors
{
    font-weight:			bold;
    color:					#f00;
}

.validation-summary-valid
{
    display:				none;
}

.validation-advice,
.notice,
.confirmationNotice
{
	clear:					both;
	margin:					2px 0;
	padding:				0 0 2px 2px;
	background-color:		#f30;
	color:					#fff;
	font-weight:			bold;
	font-size:				13px;
	font-family:			"Lucida Grande", "Lucida Sans Unicode", Tahoma, Arial, Verdana, sans-serif;
	animation:				fadeInFromNone 0.3s ease-in;
}

.validation-advice.validation-hidden
{
	opacity:				0;
	display:				none;
}

@keyframes fadeInFromNone
{
	0%
	{
		display:			none;
		opacity:			0;
	}

	0.001%
	{
		display:			block;
		opacity:			0;
	}

	100%
	{
		display:			block;
		opacity:			1;
	}
}

.notice 
{
	background-color:		#ffbe6a;
	color:					black;
}

.confirmationNotice 
{
	background-color:		#3ca849;
	color:					black;
}

.azione::after 
{
	visibility:				hidden;
	display:				block;
	font-size:				0;
	content:				'';
	clear:					both;
	height:					0;
}

.barraTitolo,
.overlayBox h2
{
	color:					#474747;
	width:					100%;
	height:					38px;
	line-height:			38px;
	padding-left:			60px;
	margin-top:				20px;
}

.barraTitolo
{
	background:				linear-gradient(to bottom, #fdfdfd 0, #fdfdfd 50%, #fdfdfd 50%, #D4D5D6 100%);
}

.popup .barraTitolo,
.popover .barraTitolo,
.overlayBox h2
{
	color:					var( --popup-title-fg-color );
	background:				var( --popup-title-bg-color );
}

.popup .barraTitolo,
.popup .overlayBox h2,
.popover-content .barraTitolo
{
	padding-left:			2ex;
}

.prima.barraTitolo,
.overlayBox h2.prima
{
    margin-top:				0;
}

.barraTitolo .destra
{
	float:					right;
	margin-right:			2ex;
	position:				relative;
}

.extended
{
	width:					100%;
}

.popup .box
{
	min-width:				800px;
	margin-left:			30px;
	margin-right:			30px;
}

.box
{
	border-radius:			5px;
	border:					1px solid #b9b9b9;
	background-color:		white;
}

table.filtro,
table.form,
.tabellaDati
{
	border-collapse:		collapse;
	width:					100%;
}

table.filtro tr,
table.form tr
{
	height:					30px;
}

table.filtro td,
table.filtro th,
table.form td,
table.form th,
.tabellaDati th,
.tabellaDati div.th,
.tabellaDati td
{
	margin:					0;
	padding:				0 4px;
	vertical-align:			middle;
}

table.filtro td,
table.filtro th,
table.form td,
table.form th,
.tabellaDati th,
.tabellaDati div.th
{
	font-size:				12px;
	line-height:			1.1;
}

.tabellaDati tr:nth-child( 2n + 1 )
{
	background-color:		var( --alternate-bg-color );
}

table.filtro th,
table.form th,
.tabellaDati th,
.tabellaDati div.th
{
	border:					1px solid #c5c5c5;
	background-color:		#031825;
	color:					white;
}

table.filtro th.alignTop,
table.form th.alignTop
{
	vertical-align:			top;
	padding-top:			9px;
}

table.filtro th.empty,
table.form th.empty,
.tabellaDati th.empty
{
	background-color:		#292527;
}

table.filtro td,
table.form td,
.tabellaDati td
{
	border:					1px solid #bfbfbf;
}

.formGrid > div,
.formGrid .hdr
{
	font-size:				11px;
}

.formGrid > div
{
	border-bottom:			1px solid #bfbfbf;
	border-right:			1px solid #bfbfbf;
	padding:				.5em 1ex;
}

.formGrid .hdr
{
	border-bottom:			1px solid #777;
	border-right:			1px solid #777;
	background-color:		#444;
	color:					white;
	font-weight:			bold;
	white-space:			nowrap;
	padding-top:			9px;
}

.formGrid .hdr.wrap
{
	white-space:			normal;
}

.tabellaDati th,
.tabellaDati div.th
{
	text-align:				center;
	text-transform:			uppercase;
	height:					30px;
}

.tabellaDati div.th
{
	font-weight:			bold;
	line-height:			30px;
	margin-left:			-4px;
	margin-right:			-4px;
	margin-bottom:			4px;
}

.tabellaDati th,
.tabellaDati td,
table.form td
{
	empty-cells:			show;
	font-weight:			normal;
}

.tabellaDati td
{
	font-size:				11px;
}

.tabellaDati td.icon
{
	text-align:				center;
	padding:				0;
}

.tabellaDati td.icon svg
{
	margin:					0 2px;
}

.tabellaDati
{
	width:					100%;
    background-color:       #fefefe;
}

.tabellaDati td.dateCol
{
	text-align:				center;
}

.tabellaDati .rigaSelezionata td,
.tabellaDati.cellHover td:hover,
.tabellaDati.rowHover tr:hover td
{
    background:             linear-gradient(to bottom, #fff 0, #DDDEDF 100%);
	cursor:					pointer;
}

.tabellaDati.rowHover tr:hover td.noClick
{
	cursor:					default;
}

table.form th
{
	vertical-align:			top;
	padding-top:			9px;
}

th.sortable,
.imgButton
{
	cursor:					pointer;
}

th.sortable,
#menuNavigazione a 
{
	-ms-user-select:		none;
	-webkit-user-select:	none;
	user-select:			none;
}

.azione
{
	margin-top:				30px;
    position:				relative;
	font-size:				13px;
	text-align:             right;
    background:             var( --main-tint );
	padding:				9px 30px;
}

.azione.divisa
{
	display:				grid;
	grid-template-columns:	max-content 1fr;
	grid-column-gap:		2em;
	justify-items:			end;
	align-items:			center;
}

table.filtro + .azione
{
	text-align:				right;
	padding:				1em 2ex;
}

.azione.divisa > *:first-child
{
	justify-self:			start;
}

.azione button + button,
.destra button + button
{
	margin-left:			.5ex;
}

.popover .azione
{
	padding-bottom:			0;
}

.filtro + .azione
{
	margin-top:				0;
}

.popup .azione,
.overlayBox .azione
{
	width:					100%;
	text-align:				right;
	padding:				4px;
	background-image:		none !important;
	background-color:		var( --alternate-bg-color ) !important;
}

.azione .left
{
	float:					left;
}

.azione .right
{
	float:					right;
}

.overlayBox
{
	z-index:				2;
	display:				flex;
	flex-direction:			column;
	width:					90%;
	margin-left:			5%;
	border:					1px solid #555;
	box-shadow:				7px 7px 10px #666;
	overflow:				hidden;
	background-color:		#fefefe;
}

.overlayBox h2
{
	margin-bottom:			10px;
	padding-left:			10px;
}

.overlayBox .azione 
{
	border-top:             1px solid silver;
}

.overlayContent
{
	padding:				0 8px;	
}

.barraTitolo .righePerPagina
{
	display:				inline;
	margin-left:			40px;
}

.barraTitolo .righePerPagina,
.barraTitolo .righePerPagina select,
.barraTitolo .checkbox
{
	font-size:				10px;
	font-weight:			normal;
}

.barraTitolo .checkbox,
.tabellaDati th,
table.form th,
.nowrap
{
	white-space:			nowrap;
}

.barraTitolo .checkbox
{
	margin-left:			10px;
}

.barraTitolo .checkbox input
{
	position:				relative;
	top:					2px;
}

.pager
{
	display:				grid;
	grid-template-columns:  max-content minmax( max-content, 1fr ) 20fr minmax( max-content, 1fr );
	grid-column-gap:		20px;
	height:					20px;
	font-size:				12px;
	margin:					16px 1ex;
}

.pagerLeft a,
.pagerRight a
{
	color:					#1279bc;
	text-decoration:		underline;
}

.pager,
.pagerCenter a
{
	color:					#525252;
}

.pagerRows
{
	display:				none;
}

.conContatoreRighe .pagerRows
{
	display:				inline;
}

.pagerLeft
{
	grid-column:			2;
}

.pagerCenter
{
	grid-column:			3;
	text-align:				center;
}

.pagerRight
{
	grid-column:			4;
	text-align:				right;
}

.pagerLeft a
{
	margin-right:			20px;
}

.pagerRight a
{
	margin-left:			20px;
}

.pager .paginaCorrente
{
	font-weight:			bold;
	margin-right:			3px;
}

.ajaxLoading
{
	display:				flex;
	justify-content:		center;
	align-items:			center;
	height:					100%;
	background-color:		rgba( 0, 0, 0, 0.75 );
}

.checkboxBox
{
	white-space:			nowrap;
	float:					left;
}

tr.template
{
	display:				none;
}

.lingue img
{
	width:					28px;
}

button.date,
button.square
{
	margin:					0;
	border-radius:			0;
	border-style:			none;
	font-size:				inherit;
	padding-left:			0;
	padding-right:			0;
}

button.date
{
	color:					transparent;
	background-color:		transparent;
	background-repeat:		no-repeat;
	background-position:	center;
	background-size:		14px;
	background-image:		url("data:image/svg+xml,%3Csvg data-icon='calendar-alt' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3Cpath fill='black' d='M0 464c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V192H0v272zm320-196c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40zm0 128c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40zM192 268c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40zm0 128c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40zM64 268c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12H76c-6.6 0-12-5.4-12-12v-40zm0 128c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12H76c-6.6 0-12-5.4-12-12v-40zM400 64h-48V16c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v48H160V16c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v48H48C21.5 64 0 85.5 0 112v48h448v-48c0-26.5-21.5-48-48-48z'%3E%3C/path%3E%3C/svg%3E");
	filter:					invert(9%) sepia(46%) saturate(5195%) hue-rotate(254deg) brightness(113%) contrast(111%);
	padding:				0;
	min-width:				20px;
}

.bottomSticky
{
	position:				sticky;
	bottom:					0;
}

.bottomSticky .azione
{
	margin-top:				0;
	background-image:		linear-gradient( to bottom, var( --main-tint ), #515151 );
}

.azione.spaceBetween
{
	display:				flex;
	justify-content:		space-between;
}

.azione.spaceBetween::after
{
	display:				none;
}

.filtro
{
	border-radius:			5px;
	border:					1px solid #b9b9b9;
	background-color:		white;
	padding:				9px 21px;
	font-size:				15px;
}

.filtro.open
{
	padding-bottom:			 21px;
}

.filtroToggler
{
	cursor:					pointer;
	color:					#444;
	font-size:				16px;
	font-weight:			bold;
	display:				grid;
	grid-template-columns:	1fr max-content;
	grid-column-gap:		2em;
	align-items:			center;
}

.filtroToggler div
{
	width:					20px;
	height:					20px;
	background-image:		url("data:image/svg+xml,%3Csvg data-icon='chevron-down' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3Cpath fill='currentColor' d='M207.029 381.476L12.686 187.132c-9.373-9.373-9.373-24.569 0-33.941l22.667-22.667c9.357-9.357 24.522-9.375 33.901-.04L224 284.505l154.745-154.021c9.379-9.335 24.544-9.317 33.901.04l22.667 22.667c9.373 9.373 9.373 24.569 0 33.941L240.971 381.476c-9.373 9.372-24.569 9.372-33.942 0z'%3E%3C/path%3E%3C/svg%3E");
	background-repeat:		no-repeat;
	background-size:		contain;
	filter:					invert(26%) sepia(0) saturate(1462%) hue-rotate(157deg) brightness(101%) contrast(97%);
}

.filtro.open > .filtroToggler div
{
	background-image:		url("data:image/svg+xml,%3Csvg data-icon='chevron-up' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3Cpath fill='currentColor' d='M240.971 130.524l194.343 194.343c9.373 9.373 9.373 24.569 0 33.941l-22.667 22.667c-9.357 9.357-24.522 9.375-33.901.04L224 227.495 69.255 381.516c-9.379 9.335-24.544 9.317-33.901-.04l-22.667-22.667c-9.373-9.373-9.373-24.569 0-33.941L207.03 130.525c9.372-9.373 24.568-9.373 33.941-.001z'%3E%3C/path%3E%3C/svg%3E");
}

.filtroToggler + *
{
	margin-top:				30px;
}

.filtro .griglia
{
	display:				grid;
	grid-template-columns:	repeat( 2, max-content 1fr );
	grid-gap:				20px 2ex;
	align-items:			center;
}

.filtro .griglia > .checkboxList,
.filtro .griglia > .azione
{
	grid-column:			1 / -1;
}

.filtro .griglia .cols-3
{
	grid-column-end:		span 3;
}

.filtro .griglia .cols-5
{
	grid-column-end:		span 5;
}

.filtro .griglia .hdr
{
	display:				flex;
}

.filtro .griglia .hdr::after
{
	content:				':';
}

.filtro > .griglia > .azione
{
	background-color:		white;
	padding:				0;
	margin-top:				8px;
	display:				grid;
	grid-template-columns:	max-content 3fr repeat( 2, max-content ) 1fr max-content;
	grid-column-gap:		1ex;
}

.filtro > .griglia > .azione button[type="submit"]
{
	grid-column:			-1;
}

.filtro .periodo
{
	display:				flex;
	flex-wrap:				wrap;
	margin:					-0.5em 0 0 -23px;
}

.filtro .periodo > span
{
	margin:					.5em 0 0 23px;
	white-space:			nowrap;
}

.filtro .periodo > span + span
{
	margin-left:			23px;
}

.filtro .periodo > span > span
{
	color:					#929292;
	font-size:				13px;
}

.filtro .checkboxList
{
	font-size:				12px;
	color:					#a0a0a0;
}

.filtro .checkboxList label.evidenziata
{
	color:					red;
}

.checkboxList
{
	display:				flex;
	flex-wrap:				wrap;
	align-items:			center;
	margin-top:				-0.5ex;
	margin-left:			-1em;
}

.checkboxList > *
{
	margin-top:				.5ex;
	margin-left:			1em;
	white-space:			nowrap;
}

.barraStrumenti
{
	font-size:				12px;
	padding-bottom:			12px;
	border-bottom:			1px solid #a0a0a0;
	margin-top:				65px;
	margin-bottom:			20px;
	display:				flex;
	align-items:			center;
}

.prima.barraStrumenti
{
    margin-top:				0;
}

.barraStrumenti > * + *
{
	margin-left:			30px;
}

.barraStrumenti .righe
{
	color:					#525252;
	margin-right:			26px;
}

.barraStrumenti .destra
{
	display:				flex;
	flex:					1;
	justify-content:		flex-end;
	font-size:				14px;
	color:					#e00;
}

.barraStrumenti h1
{
	font-size:				15px;
}

table.formDati
{
	font-size:				15px;
	max-width:				720px;
	margin:					0 auto;
}

table.formDati th
{
	width:					1%;
	white-space:			nowrap;
	font-weight:			normal;
	text-align:				left;
	padding-right:			12px;
	vertical-align:			middle;
}

table.formDati th,
table.formDati td
{
	border-top:				1px solid #ddd;
	padding-top:			10px !important;
	padding-bottom:			10px !important;
}

table.formDati tr:first-child th,
table.formDati tr:first-child td
{
	border-top:				none;
}

.section
{
	margin-top:				30px;
}

.section.withSeparator
{
	margin-top:				30px;
	padding-top:			30px;
	border-top:				1px solid #ddd;
}

.conAzioni
{
	display:				flex;
}

.conAzioni > *:first-child
{
	flex:					1 1 auto;
	width:					0;
	margin-right:			.5ex;
}

.conAzioni button + button
{
	margin-left:			.5ex;
}

.conAzioni button
{
	margin:					0;
	border-radius:			0;
	border-style:			none;
	font-size:				inherit;
	padding-left:			.5ex;
	padding-right:			.5ex;
}

span.iconaRiservato
{
	color:					#a00;
}

.iconaSistema
{
	width:					64px;
	max-height:				64px;
}

.sistemaDisabilitato .iconaSistema
{
	filter:					grayscale(1);
}
